%define oname pluma

Summary:  Text editor for the MATE desktop
Name:     mate-text-editor
Version:  1.14.0
Release:  %mkrel 1
License:  GPLv2+
Group:    Graphical desktop/Mate
URL:      http://mate-desktop.org
Source0: http://pub.mate-desktop.org/releases/1.12/%oname-%version.tar.xz
#-----------------------------------------------------
BuildRequires: itstool
BuildRequires: yelp-tools
BuildRequires: aspell-devel
BuildRequires: docbook-dtd412-xml
BuildRequires: intltool
BuildRequires: iso-codes
BuildRequires: iso-codes-devel
BuildRequires: desktop-file-utils
BuildRequires: gtk-doc
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}enchant-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtksourceview2-2.0_0-devel
BuildRequires: %{_lib}ice-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}sm-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: libxml2-utils
#-----------------------------------------------------
Requires: zenity
Requires: mate-desktop
Requires: mate-file-manager

%description
mate-text-editor is a small, but powerful text editor designed specifically for
the MATE desktop. It has most standard text editor functions and fully
supports international text in Unicode. Advanced features include syntax
highlighting and automatic indentation of source code, printing and editing
of multiple documents in one window.

mate-text-editor is extensible through a plugin system, which currently includes
support for spell checking, comparing files, viewing CVS ChangeLogs, and
adjusting indentation levels.

%package devel
Summary: Support for developing plugins for the mate-text-editor text editor
Group: Development/Libraries
Requires: %{name} = %{version}


%description devel
Development files for mate-text-editor

%prep
%setup -qn %oname-%version
%apply_patches


%build

%configure2_5x \
        --disable-scrollkeeper    \
        --enable-gvfs-metadata    \
        --enable-python=no        \
        --disable-schemas-compile


%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

## clean up all the static libs for plugins
/bin/rm -f `find $RPM_BUILD_ROOT%{_libdir}/pluma/plugins -name "*.a"`
/bin/rm -f `find $RPM_BUILD_ROOT%{_libdir}/pluma/plugins -name "*.la"`
/bin/rm -f `find $RPM_BUILD_ROOT%{_libdir}/pluma/plugin-loaders -name "*.la"`

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang pluma --with-gnome
%post
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database &> /dev/null || :

%postun
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :



%files  -f pluma.lang
%defattr(-,root,root,-)
%doc README COPYING AUTHORS
%{_datadir}/pluma
%{_datadir}/help
%{_datadir}/applications/pluma.desktop
%{_mandir}/man1/*
%{_libdir}/pluma
%{_bindir}/pluma
%{_datadir}/glib-2.0/schemas/org.mate.pluma.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.plugins.filebrowser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.plugins.time.gschema.xml
%{_datadir}/gtk-doc
%{_datadir}/appdata/pluma.appdata.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.plugins.spell.gschema.xml

%files devel
%defattr(-,root,root,-)
%{_includedir}/pluma
%{_libdir}/pkgconfig/pluma.pc

%clean
rm -rf  %{buildroot}


%changelog
* Tue Aug 09 2016 adrianomorselli <adrianomorselli> 1.14.0-1uplos2016
- rebuild

* Fri Apr 08 2016 bb <bb> 1.14.0-1pclos2016
- update

* Tue Feb 16 2016 bb <bb> 1.12.2-1pclos2016
- update

* Wed Dec 02 2015 bb <bb> 1.12.1-1pclos2015
- update

* Fri Nov 06 2015 bb <bb> 1.12.0-1pclos2015
- update

* Wed Oct 15 2015 bb <bb> 1.10.2-2pclos2015
- rebuild for updates
